--Body Parts List --> Foot_L, Foot_R, ForeArm_L, ForeArm_R, Groin, Hand_L, Hand_R, Head, LowerLeg_L, LowerLeg_R, MAX, Neck, Torso_Lower, Torso_Upper, UpperArm_L, UpperArm_R, UpperLeg_L, UpperLeg_R 
--Available Res Types list --> ScratchRes|DeepWoundRes|BurnRes|BulletRes|FractureRes|GlassRes|BiteRes

function loadArmor(Armor)
local tempDurability;
	if(Armor:getModData().Durability ~= nil) then
		tempDurability = Armor:getModData().Durability;
	end

-- Helmets	
		
	if(Armor:getType() == "HCHardhat") then
		Armor:getModData().ScratchRes = {Head = 60};
		Armor:getModData().DeepWoundRes = {Head = 60};
		Armor:getModData().BiteRes = {Head = 60};
		Armor:getModData().GlassRes = {Head = 60};	
		Armor:getModData().Durability = 40;
	
	elseif(Armor:getType() == "HCWeldingmask") then
		Armor:getModData().ScratchRes = {Head = 25};
		Armor:getModData().DeepWoundRes = {Head = 25};
		Armor:getModData().BiteRes = {Head = 25};
		Armor:getModData().GlassRes = {Head = 25};
		Armor:getModData().BurnRes = {Head = 80};			
		Armor:getModData().Durability = 40;

	elseif(Armor:getType() == "HCHockeymask") then
		Armor:getModData().ScratchRes = {Head = 25};
		Armor:getModData().DeepWoundRes = {Head = 25};
		Armor:getModData().BiteRes = {Head = 25};
		Armor:getModData().GlassRes = {Head = 25};			
		Armor:getModData().Durability = 20;
		
	elseif(Armor:getType() == "HCHelmfootball") then
		Armor:getModData().ScratchRes = {Head = 60};
		Armor:getModData().DeepWoundRes = {Head = 60};
		Armor:getModData().BiteRes = {Head = 60};
		Armor:getModData().GlassRes = {Head = 60};	
		Armor:getModData().Durability = 30;
		
	elseif(Armor:getType() == "HCHelmbike") then
		Armor:getModData().ScratchRes = {Head = 50};
		Armor:getModData().DeepWoundRes = {Head = 50};
		Armor:getModData().BiteRes = {Head = 50};
		Armor:getModData().GlassRes = {Head = 50};	
		Armor:getModData().Durability = 20;
		
	elseif(Armor:getType() == "HCHelmmmotorcycle") then
		Armor:getModData().ScratchRes = {Head = 80};
		Armor:getModData().DeepWoundRes = {Head = 80};
		Armor:getModData().BiteRes = {Head = 80};
		Armor:getModData().GlassRes = {Head = 80};	
		Armor:getModData().Durability = 40;

	elseif(Armor:getType() == "HCFirefighterhelmet") then
		Armor:getModData().ScratchRes = {Head = 80};
		Armor:getModData().DeepWoundRes = {Head = 80};
		Armor:getModData().BiteRes = {Head = 80};
		Armor:getModData().GlassRes = {Head = 80};
		Armor:getModData().BurnRes = {Head = 80};			
		Armor:getModData().Durability = 80;
		
	elseif(Armor:getType() == "HCHelmkevlar") then
		Armor:getModData().ScratchRes = {Head = 60};
		Armor:getModData().DeepWoundRes = {Head = 60};
		Armor:getModData().BiteRes = {Head = 60};
		Armor:getModData().GlassRes = {Head = 60};
		Armor:getModData().BulletRes = {Head = 90};			
		Armor:getModData().Durability = 100;
		
	elseif(Armor:getType() == "HCHelmriot") then
		Armor:getModData().ScratchRes = {Head = 90};
		Armor:getModData().DeepWoundRes = {Head = 90};
		Armor:getModData().BiteRes = {Head = 90};
		Armor:getModData().GlassRes = {Head = 90};
		Armor:getModData().BulletRes = {Head = 80};			
		Armor:getModData().Durability = 80;

	elseif(Armor:getType() == "HCHelmsamurai") then
		Armor:getModData().ScratchRes = {Head = 80};
		Armor:getModData().DeepWoundRes = {Head = 80};
		Armor:getModData().BiteRes = {Head = 80};
		Armor:getModData().GlassRes = {Head = 80};		
		Armor:getModData().Durability = 35;
		
	elseif(Armor:getType() == "HCHelmsteel") then
		Armor:getModData().ScratchRes = {Head = 90};
		Armor:getModData().DeepWoundRes = {Head = 90};
		Armor:getModData().BiteRes = {Head = 90};
		Armor:getModData().GlassRes = {Head = 90};	
		Armor:getModData().Durability = 40;

	elseif(Armor:getType() == "HCHelmcookingpot") then
		Armor:getModData().ScratchRes = {Head = 60};
		Armor:getModData().DeepWoundRes = {Head = 60};
		Armor:getModData().BiteRes = {Head = 60};
		Armor:getModData().GlassRes = {Head = 60};	
		Armor:getModData().Durability = 40;	
		
	elseif(Armor:getType() == "HCHelmbucket") then
		Armor:getModData().ScratchRes = {Head = 60};
		Armor:getModData().DeepWoundRes = {Head = 60};
		Armor:getModData().BiteRes = {Head = 60};
		Armor:getModData().GlassRes = {Head = 60};	
		Armor:getModData().Durability = 10;
		
-- Gloves

	elseif(Armor:getType() == "HCOvenmitts") then
		Armor:getModData().ScratchRes = {Hand_L = 20, Hand_R = 20} ;
		Armor:getModData().DeepWoundRes = {Hand_L = 20, Hand_R = 20} ;	
		Armor:getModData().BiteRes = {Hand_L = 20, Hand_R = 20} ;
		Armor:getModData().GlassRes = {Hand_L = 20, Hand_R = 20};		
		Armor:getModData().Durability = 2;

	elseif(Armor:getType() == "HCWorkgloves") then
		Armor:getModData().ScratchRes = {Hand_L = 20, Hand_R = 20} ;
		Armor:getModData().DeepWoundRes = {Hand_L = 20, Hand_R = 20} ;	
		Armor:getModData().BiteRes = {Hand_L = 20, Hand_R = 20} ;
		Armor:getModData().GlassRes = {Hand_L = 20, Hand_R = 20};		
		Armor:getModData().Durability = 5;
		
	elseif(Armor:getType() == "HCGlovesteel") then
		Armor:getModData().ScratchRes = {ForeArm_L = 90, ForeArm_R = 90, Hand_L = 90, Hand_R = 90} ;
		Armor:getModData().DeepWoundRes = {ForeArm_L = 90, ForeArm_R = 90, Hand_L = 90, Hand_R = 90} ;	
		Armor:getModData().BiteRes = {ForeArm_L = 90, ForeArm_R = 90, Hand_L = 90, Hand_R = 90} ;
		Armor:getModData().GlassRes = {ForeArm_L = 90, ForeArm_R = 90, Hand_L = 90, Hand_R = 90};		
		Armor:getModData().Durability = 40;
		
-- Arm Armor

	elseif(Armor:getType() == "HCArmarmorsamurai") then
		Armor:getModData().ScratchRes = {UpperArm_L = 80, UpperArm_R = 80};
		Armor:getModData().DeepWoundRes = {UpperArm_L = 80, UpperArm_R = 80};
		Armor:getModData().BiteRes = {UpperArm_L = 80, UpperArm_R = 80};
		Armor:getModData().GlassRes = {UpperArm_L = 80, UpperArm_R = 80};	
		Armor:getModData().Durability = 35;
			
	elseif(Armor:getType() == "HCArmarmorsteel") then
		Armor:getModData().ScratchRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().DeepWoundRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().BiteRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().GlassRes = {UpperArm_L = 90, UpperArm_R = 90};	
		Armor:getModData().Durability = 40;
		
	elseif(Armor:getType() == "HCArmarmoriron") then
		Armor:getModData().ScratchRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().DeepWoundRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().BiteRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().GlassRes = {UpperArm_L = 90, UpperArm_R = 90};	
		Armor:getModData().Durability = 30;

	elseif(Armor:getType() == "HCArmarmorbronze") then
		Armor:getModData().ScratchRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().DeepWoundRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().BiteRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().GlassRes = {UpperArm_L = 90, UpperArm_R = 90};	
		Armor:getModData().Durability = 20;

	elseif(Armor:getType() == "HCArmarmorcopper") then
		Armor:getModData().ScratchRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().DeepWoundRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().BiteRes = {UpperArm_L = 90, UpperArm_R = 90};
		Armor:getModData().GlassRes = {UpperArm_L = 90, UpperArm_R = 90};	
		Armor:getModData().Durability = 10;

	elseif(Armor:getType() == "HCArmarmorbubblewrap") then
		Armor:getModData().ScratchRes = {UpperArm_L = 25, UpperArm_R = 25};
		Armor:getModData().BiteRes = {UpperArm_L = 25, UpperArm_R = 25};
		Armor:getModData().Durability = 1;			
		
-- Torso Armor

	elseif(Armor:getType() == "HCFiresuit") then
		Armor:getModData().BurnRes = {Head = 90, Neck = 90, Torso_Upper = 90, Torso_Lower = 90, UpperArm_L = 90, UpperArm_R = 90, ForeArm_L = 90, ForeArm_R = 90, Hand_L = 90, Hand_R = 90, Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90, LowerLeg_L = 90, LowerLeg_R = 90, Foot_L = 90, Foot_R = 90};			
		Armor:getModData().Durability = 20;

	elseif(Armor:getType() == "HCFirefighterjacket") then
		Armor:getModData().ScratchRes = {Neck = 25, Torso_Upper = 25, UpperArm_L = 25, UpperArm_R = 25};
		Armor:getModData().DeepWoundRes = {Neck = 25, Torso_Upper = 25, UpperArm_L = 25, UpperArm_R = 25};
		Armor:getModData().BiteRes = {Neck = 25, Torso_Upper = 25, UpperArm_L = 25, UpperArm_R = 25};
		Armor:getModData().GlassRes = {Neck = 25, Torso_Upper = 25, UpperArm_L = 25, UpperArm_R = 25};		
		Armor:getModData().BurnRes = {Neck = 80, Torso_Upper = 80, Torso_Lower = 80, UpperArm_L = 80, UpperArm_R = 80};			
		Armor:getModData().Durability = 80;

	elseif(Armor:getType() == "HCArmormilitaryjacket") then
		Armor:getModData().ScratchRes = {Neck = 25, Torso_Upper = 25};
		Armor:getModData().DeepWoundRes = {Neck = 25, Torso_Upper = 25};
		Armor:getModData().BiteRes = {Neck = 25, Torso_Upper = 25};
		Armor:getModData().GlassRes = {Neck = 25, Torso_Upper = 25};			
		Armor:getModData().Durability = 3;
		
	elseif(Armor:getType() == "HCArmorleatherjacket") then
		Armor:getModData().ScratchRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().DeepWoundRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().BiteRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().GlassRes = {Neck = 20, Torso_Upper = 20};			
		Armor:getModData().Durability = 5;	

	elseif(Armor:getType() == "HCArmorlightjacket") then
		Armor:getModData().ScratchRes = {Neck = 15, Torso_Upper = 15};
		Armor:getModData().DeepWoundRes = {Neck = 15, Torso_Upper = 15};
		Armor:getModData().BiteRes = {Neck = 15, Torso_Upper = 15};
		Armor:getModData().GlassRes = {Neck = 15, Torso_Upper = 15};			
		Armor:getModData().Durability = 2;			

	elseif(Armor:getType() == "HCArmorkevlar") then
		Armor:getModData().ScratchRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().DeepWoundRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BiteRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().GlassRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BulletRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BurnRes = {Neck = 80, Torso_Upper = 80};				
		Armor:getModData().Durability = 100;
		
	elseif(Armor:getType() == "HCArmorriot") then
		Armor:getModData().ScratchRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().DeepWoundRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BiteRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().GlassRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BulletRes = {Neck = 80, Torso_Upper = 80};
		Armor:getModData().BurnRes = {Neck = 80, Torso_Upper = 80};				
		Armor:getModData().Durability = 80;		

	elseif(Armor:getType() == "HCArmorsamurai") then
		Armor:getModData().ScratchRes = {Neck = 80, Torso_Upper = 80};
		Armor:getModData().DeepWoundRes = {Neck = 80, Torso_Upper = 80};
		Armor:getModData().BiteRes = {Neck = 80, Torso_Upper = 80};
		Armor:getModData().GlassRes = {Neck = 80, Torso_Upper = 80};			
		Armor:getModData().Durability = 35;			
		
	elseif(Armor:getType() == "HCArmorsteel") then
		Armor:getModData().ScratchRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().DeepWoundRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BiteRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().GlassRes = {Neck = 90, Torso_Upper = 90};			
		Armor:getModData().Durability = 40;

	elseif(Armor:getType() == "HCArmorcopper") then
		Armor:getModData().ScratchRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().DeepWoundRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().BiteRes = {Neck = 90, Torso_Upper = 90};
		Armor:getModData().GlassRes = {Neck = 90, Torso_Upper = 90};			
		Armor:getModData().Durability = 10;
		
	elseif(Armor:getType() == "HCArmorphonebooks") then
		Armor:getModData().ScratchRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().DeepWoundRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().BiteRes = {Neck = 20, Torso_Upper = 20};
		Armor:getModData().GlassRes = {Neck = 20, Torso_Upper = 20};			
		Armor:getModData().Durability = 20;

	elseif(Armor:getType() == "HCArmorbubblewrap") then
		Armor:getModData().ScratchRes = {Neck = 25, Torso_Upper = 25};
		Armor:getModData().BiteRes = {Neck = 25, Torso_Upper = 25};		
		Armor:getModData().Durability = 1;			

-- Leg Armor

	elseif(Armor:getType() == "HCJeans") then
		Armor:getModData().ScratchRes = {Groin = 20, Torso_Lower = 20, UpperLeg_L = 20, UpperLeg_R = 20};
		Armor:getModData().DeepWoundRes = {Groin = 20, Torso_Lower = 20, UpperLeg_L = 20, UpperLeg_R = 20};
		Armor:getModData().BiteRes = {Groin = 20, Torso_Lower = 20, UpperLeg_L = 20, UpperLeg_R = 20};
		Armor:getModData().GlassRes = {Groin = 20, Torso_Lower = 20, UpperLeg_L = 20, UpperLeg_R = 20};			
		Armor:getModData().Durability = 1;

	elseif(Armor:getType() == "HCLegarmorsamurai") then
		Armor:getModData().ScratchRes = {Groin = 80, Torso_Lower = 80, UpperLeg_L = 80, UpperLeg_R = 80};
		Armor:getModData().DeepWoundRes = {Groin = 80, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 80};
		Armor:getModData().BiteRes = {Groin = 80, Torso_Lower = 80, UpperLeg_L = 80, UpperLeg_R = 80};
		Armor:getModData().GlassRes = {Groin = 80, Torso_Lower = 80, UpperLeg_L = 80, UpperLeg_R = 80};
		Armor:getModData().FractureRes = {UpperLeg_L = 50, UpperLeg_R = 50};			
		Armor:getModData().Durability = 35;
		
	elseif(Armor:getType() == "HCLegarmorsteel") then
		Armor:getModData().ScratchRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().DeepWoundRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().BiteRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().GlassRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().FractureRes = {UpperLeg_L = 50, UpperLeg_R = 50};			
		Armor:getModData().Durability = 40;
		
	elseif(Armor:getType() == "HCLegarmoriron") then
		Armor:getModData().ScratchRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().DeepWoundRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().BiteRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().GlassRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().FractureRes = {UpperLeg_L = 50, UpperLeg_R = 50};			
		Armor:getModData().Durability = 30;

	elseif(Armor:getType() == "HCLegarmorbronze") then
		Armor:getModData().ScratchRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().DeepWoundRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().BiteRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().GlassRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().FractureRes = {UpperLeg_L = 50, UpperLeg_R = 50};			
		Armor:getModData().Durability = 20;

	elseif(Armor:getType() == "HCLegarmorcopper") then
		Armor:getModData().ScratchRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().DeepWoundRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().BiteRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().GlassRes = {Groin = 90, Torso_Lower = 90, UpperLeg_L = 90, UpperLeg_R = 90};
		Armor:getModData().FractureRes = {UpperLeg_L = 50, UpperLeg_R = 50};			
		Armor:getModData().Durability = 10;		

	elseif(Armor:getType() == "HCLegarmorbubblewrap") then
		Armor:getModData().ScratchRes = {Groin = 25, Torso_Lower = 25, UpperLeg_L = 25, UpperLeg_R = 25};
		Armor:getModData().BiteRes = {Groin = 25, Torso_Lower = 25, UpperLeg_L = 25, UpperLeg_R = 25};
		Armor:getModData().FractureRes = {UpperLeg_L = 90, UpperLeg_R = 90};			
		Armor:getModData().Durability = 1;	
		
-- Boots

	elseif(Armor:getType() == "HCBootleather") then
		Armor:getModData().ScratchRes = {Foot_L = 20, Foot_R = 20};
		Armor:getModData().DeepWoundRes = {Foot_L = 20, Foot_R = 20};
		Armor:getModData().BiteRes = {Foot_L = 20, Foot_R = 20};
		Armor:getModData().GlassRes = {Foot_L = 20, Foot_R = 20};		
		Armor:getModData().Durability = 10;	

	elseif(Armor:getType() == "HCBootsteel") then
		Armor:getModData().ScratchRes = {LowerLeg_L = 90, LowerLeg_R = 90, Foot_L = 90, Foot_R = 90};
		Armor:getModData().DeepWoundRes = {LowerLeg_L = 90, LowerLeg_R = 90, Foot_L = 90, Foot_R = 90};
		Armor:getModData().BiteRes = {LowerLeg_L = 90, LowerLeg_R = 90, Foot_L = 90, Foot_R = 90};
		Armor:getModData().GlassRes = {LowerLeg_L = 90, LowerLeg_R = 90, Foot_L = 90, Foot_R = 90};
		Armor:getModData().FractureRes = {LowerLeg_L = 50, LowerLeg_R = 50, Foot_L = 50, Foot_R = 50};			
		Armor:getModData().Durability = 40;
		
-- Shields
		
	elseif(Armor:getType() == "HCShieldriot") then
		Armor:getModData().ScratchRes = {Hand_L = 90, ForeArm_L = 90, UpperArm_L = 90, Torso_Upper = 90, Torso_Lower = 90, Groin = 90, UpperLeg_L = 90, LowerLeg_L = 90};
		Armor:getModData().DeepWoundRes = {Hand_L = 90, ForeArm_L = 90, UpperArm_L = 90, Torso_Upper = 90, Torso_Lower = 90, Groin = 90, UpperLeg_L = 90, LowerLeg_L = 90};	
		Armor:getModData().BiteRes = {Hand_L = 90, ForeArm_L = 90, UpperArm_L = 90, Torso_Upper = 90, Torso_Lower = 90, Groin = 90, UpperLeg_L = 90, LowerLeg_L = 90};
		Armor:getModData().BulletRes = {Hand_L = 90, ForeArm_L = 90, UpperArm_L = 90, Torso_Upper = 90, Torso_Lower = 90, Groin = 90, UpperLeg_L = 90, LowerLeg_L = 90};			
		Armor:getModData().Durability = 80;
	
	elseif(Armor:getType() == "HCShieldsteel") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 40;
		
	elseif(Armor:getType() == "HCShieldiron") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 30;
		
	elseif(Armor:getType() == "HCShieldbronze") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 20;
		
	elseif(Armor:getType() == "HCShieldcopper") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 10;
		
	elseif(Armor:getType() == "HCShieldwood") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 5;	
		
	elseif(Armor:getType() == "HCShieldtrashcanlid") then
		Armor:getModData().ScratchRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};
		Armor:getModData().DeepWoundRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};	
		Armor:getModData().BiteRes = {Hand_L = 80, ForeArm_L = 80, UpperArm_L = 80, Torso_Upper = 80, Torso_Lower = 80, Groin = 80};			
		Armor:getModData().Durability = 35;
		
	end

	if(tempDurability ~= nil) then
		Armor:getModData().Durability = tempDurability;
	end
end